# Class Thelia\Model\om\BaseAdminLogQuery | thelia

# Class BaseAdminLogQuery

Base class that represents a query for the 'admin_log' table.

  ModelCriteria
  Thelia\Model\om\BaseAdminLogQuery

#### Direct known subclasses

Thelia\Model\AdminLogQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseAdminLogQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\AdminLog', string $modelAlias = null )`

Initializes internal state of BaseAdminLogQuery object.

Initializes internal state of BaseAdminLogQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\AdminLogQuery``

# `create( string $modelAlias = null, `Thelia\Model\AdminLogQuery`|Criteria $criteria = null )`

Returns a new AdminLogQuery object.

Returns a new AdminLogQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\AdminLogQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLog`|`Thelia\Model\AdminLog[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\AdminLog`|`Thelia\Model\AdminLog[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\AdminLog``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\AdminLog``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\AdminLog`|`Thelia\Model\AdminLog[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\AdminLog`|`Thelia\Model\AdminLog[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\AdminLog[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\AdminLog[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\AdminLogQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByAdminLogin( string $adminLogin = null, string $comparison = null )`

Filter the query on the admin_login column

Filter the query on the admin_login column

Example usage:

    $query->filterByAdminLogin('fooValue');   // WHERE admin_login = 'fooValue'
    $query->filterByAdminLogin('%fooValue%'); // WHERE admin_login LIKE '%fooValue%'

#### Parameters

$adminLogin
  `string`
  $adminLogin The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByAdminFirstname( string $adminFirstname = null, string $comparison = null )`

Filter the query on the admin_firstname column

Filter the query on the admin_firstname column

Example usage:

    $query->filterByAdminFirstname('fooValue');   // WHERE admin_firstname = 'fooValue'
    $query->filterByAdminFirstname('%fooValue%'); // WHERE admin_firstname LIKE '%fooValue%'

#### Parameters

$adminFirstname
  `string`
  $adminFirstname The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByAdminLastname( string $adminLastname = null, string $comparison = null )`

Filter the query on the admin_lastname column

Filter the query on the admin_lastname column

Example usage:

    $query->filterByAdminLastname('fooValue');   // WHERE admin_lastname = 'fooValue'
    $query->filterByAdminLastname('%fooValue%'); // WHERE admin_lastname LIKE '%fooValue%'

#### Parameters

$adminLastname
  `string`
  $adminLastname The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByAction( string $action = null, string $comparison = null )`

Filter the query on the action column

Filter the query on the action column

Example usage:

    $query->filterByAction('fooValue');   // WHERE action = 'fooValue'
    $query->filterByAction('%fooValue%'); // WHERE action LIKE '%fooValue%'

#### Parameters

$action
  `string`
  $action The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByRequest( string $request = null, string $comparison = null )`

Filter the query on the request column

Filter the query on the request column

Example usage:

    $query->filterByRequest('fooValue');   // WHERE request = 'fooValue'
    $query->filterByRequest('%fooValue%'); // WHERE request LIKE '%fooValue%'

#### Parameters

$request
  `string`
  $request The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `prune( `Thelia\Model\AdminLog` $adminLog = null )`

Exclude object from result

Exclude object from result

#### Parameters

$adminLog
  ``Thelia\Model\AdminLog``
  $adminLog Object to remove from the list of results

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminLogQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\AdminLogQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\AdminLogQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByAdminLogin( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the admin_login column

Order by the admin_login column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByAdminFirstname( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the admin_firstname column

Order by the admin_firstname column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByAdminLastname( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the admin_lastname column

Order by the admin_lastname column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByAction( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the action column

Order by the action column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByRequest( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the request column

Order by the request column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByAdminLogin( )`

Group by the admin_login column

Group by the admin_login column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByAdminFirstname( )`

Group by the admin_firstname column

Group by the admin_firstname column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByAdminLastname( )`

Group by the admin_lastname column

Group by the admin_lastname column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByAction( )`

Group by the action column

Group by the action column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByRequest( )`

Group by the request column

Group by the request column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLogQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\AdminLogQuery``

`public `Thelia\Model\AdminLog``

# `findOne( PropelPDO $con = null )`

Return the first AdminLog matching the query

Return the first AdminLog matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first AdminLog matching the query, or a new AdminLog object populated from the query conditions when no match is found

Return the first AdminLog matching the query, or a new AdminLog object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneById( integer $id = )`

Return the first AdminLog filtered by the id column

Return the first AdminLog filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByAdminLogin( string $admin_login = )`

Return the first AdminLog filtered by the admin_login column

Return the first AdminLog filtered by the admin_login column

#### Parameters

$admin_login
  `string`
  $admin_login

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByAdminFirstname( string $admin_firstname = )`

Return the first AdminLog filtered by the admin_firstname column

Return the first AdminLog filtered by the admin_firstname column

#### Parameters

$admin_firstname
  `string`
  $admin_firstname

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByAdminLastname( string $admin_lastname = )`

Return the first AdminLog filtered by the admin_lastname column

Return the first AdminLog filtered by the admin_lastname column

#### Parameters

$admin_lastname
  `string`
  $admin_lastname

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByAction( string $action = )`

Return the first AdminLog filtered by the action column

Return the first AdminLog filtered by the action column

#### Parameters

$action
  `string`
  $action

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByRequest( string $request = )`

Return the first AdminLog filtered by the request column

Return the first AdminLog filtered by the request column

#### Parameters

$request
  `string`
  $request

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByCreatedAt( string $created_at = )`

Return the first AdminLog filtered by the created_at column

Return the first AdminLog filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\AdminLog``

`public `Thelia\Model\AdminLog``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first AdminLog filtered by the updated_at column

Return the first AdminLog filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\AdminLog``

`public array`

# `findById( integer $id = )`

Return AdminLog objects filtered by the id column

Return AdminLog objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByAdminLogin( string $admin_login = )`

Return AdminLog objects filtered by the admin_login column

Return AdminLog objects filtered by the admin_login column

#### Parameters

$admin_login
  `string`
  $admin_login

#### Returns

`array`

`public array`

# `findByAdminFirstname( string $admin_firstname = )`

Return AdminLog objects filtered by the admin_firstname column

Return AdminLog objects filtered by the admin_firstname column

#### Parameters

$admin_firstname
  `string`
  $admin_firstname

#### Returns

`array`

`public array`

# `findByAdminLastname( string $admin_lastname = )`

Return AdminLog objects filtered by the admin_lastname column

Return AdminLog objects filtered by the admin_lastname column

#### Parameters

$admin_lastname
  `string`
  $admin_lastname

#### Returns

`array`

`public array`

# `findByAction( string $action = )`

Return AdminLog objects filtered by the action column

Return AdminLog objects filtered by the action column

#### Parameters

$action
  `string`
  $action

#### Returns

`array`

`public array`

# `findByRequest( string $request = )`

Return AdminLog objects filtered by the request column

Return AdminLog objects filtered by the request column

#### Parameters

$request
  `string`
  $request

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return AdminLog objects filtered by the created_at column

Return AdminLog objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return AdminLog objects filtered by the updated_at column

Return AdminLog objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`